# Contributing to TerraFX

The following is a set of guidelines for contributing to TerraFX.

## Table of Contents

* [Code of Conduct](#code-of-conduct)
* [License](#license)
* [What should I know?](#what-should-i-know)
* [Pull Requests](#pull-requests)
* [Issues](#issues)
* [Questions](#questions)

### Code of Conduct

TerraFX and everyone contributing (this includes issues, pull requests, the
wiki, etc) must abide by the [CODE_OF_CONDUCT](CODE_OF_CONDUCT.md).
Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by contacting the project team at admin@terrafx.dev.

### License

Copyright © Tanner Gooding and Contributors. Licensed under the MIT License
(MIT). See [LICENSE](../LICENSE.md) in the repository root for more information.

### What should I know?

Most of the basics of the project, such as what it is about, and its goals are
covered in our [README](README.md).

### Pull Requests

All pull requests should follow our
[PULL_REQUEST_TEMPLATE](PULL_REQUEST_TEMPLATE.md). It is additionally
recommended that an issue be opened, discussed, and approved first to ensure
that the change will be accepted. Any pull requests not following pull request
template will be requested to be updated. Any pull requests opened without a
corresponding issue may be delayed or be required to undergo further changes
before being accepted.

### Issues

All issues should follow our [ISSUE_TEMPLATE](ISSUE_TEMPLATE.md). It is
additionaly recommended to prefix your issue with an appriopriate "tag" such as
`[QUESTION]`, `[BUG]`, `[REGRESSION]`, `[IDEA]`, or `[PROPOSAL]`.

### Questions

Feel free to open an issue prefixed with `[QUESTION]`.
